Main Page Class List Class Members

# Nv::Blast::BBoxBasedAccelerator Class Reference

`#include <NvBlastExtAuthoringAccelerator.h>`

Inheritance diagram for Nv::Blast::BBoxBasedAccelerator:

List of all members.

## Public Member Functions
| BBoxBasedAccelerator (const Mesh *mesh, int32_t resolution)
int32_t | getNextFacet () override
void | setPointCmpDirection (int32_t dir) override
void | setState (const NvcVec3 &p) override
void | setState (const NvcBounds3 *bounds) override
void | setState (const Vertex *pos, const Edge *ed, const Facet &fc) override
virtual | ~BBoxBasedAccelerator ()

## Detailed Description

Accelerator which builds map from 3d grid to initial mesh facets. To find all facets which possibly intersect given one, it return all facets which are pointed by grid cells, which intersects with bounding box of given facet. To find all facets which possibly cover given point, all facets which are pointed by cells in column which contains given point are returned.

## Constructor & Destructor Documentation

Nv::Blast::BBoxBasedAccelerator::BBoxBasedAccelerator | ( | const Mesh * | mesh,
|  | int32_t | resolution |
| ) |  |  |

Parameters:

  `[in]` | mesh | Mesh for which acceleration structure should be built.
  `[in]` | resolution | Resolution on 3d grid.

virtual Nv::Blast::BBoxBasedAccelerator::~BBoxBasedAccelerator | ( |  | ) | `[virtual]`

## Member Function Documentation

int32_t Nv::Blast::BBoxBasedAccelerator::getNextFacet | ( |  | ) | `[override, virtual]`

Recieve next facet for setted state.

Returns:
  Next facet index, or -1 if no facets left.

Implements Nv::Blast::SpatialAccelerator.

void Nv::Blast::BBoxBasedAccelerator::setPointCmpDirection | ( | int32_t | dir | ) | `[inline, override, virtual]`

Implements Nv::Blast::SpatialAccelerator.

void Nv::Blast::BBoxBasedAccelerator::setState | ( | const NvcVec3 & | point | ) | `[override, virtual]`

Set state of accelerator to return all facets which possibly can cover given point. Needed for testing whether point is inside mesh.

Parameters:

  `[in]` | point | Point which should be tested.

Implements Nv::Blast::SpatialAccelerator.

void Nv::Blast::BBoxBasedAccelerator::setState | ( | const NvcBounds3 * | bounds | ) | `[override, virtual]`

Set state of accelerator to return all facets which possibly can intersect given facet bound.

Parameters:

  `[in]` | pos | Vertex buffer
  `[in]` | ed | Edge buffer
  `[in]` | fc | Facet which should be tested.

Implements Nv::Blast::SpatialAccelerator.

void Nv::Blast::BBoxBasedAccelerator::setState | ( | const Vertex * | pos,
|  | const Edge * | ed,
|  | const Facet & | fc |
| ) |  |  | `[override, virtual]`

Set state of accelerator to return all facets which possibly can intersect given facet.

Parameters:

  `[in]` | pos | Vertex buffer
  `[in]` | ed | Edge buffer
  `[in]` | fc | Facet which should be tested.

Implements Nv::Blast::SpatialAccelerator.

The documentation for this class was generated from the following file:

- sdk/extensions/authoringCommon/include/NvBlastExtAuthoringAccelerator.h